# Benchmark

## Packets

### Get

```bash
$ node benchmark/packets/get.js
createGetPacket() x 143,226 ops/sec ±4.06% (94 runs sampled)
decodeGetPacket(100) x 168,386 ops/sec ±1.35% (94 runs sampled)
decodeGetPacket(500) x 141,631 ops/sec ±7.73% (86 runs sampled)
decodeGetPacket(1000) x 144,656 ops/sec ±2.12% (89 runs sampled)
createGetPacket() and decodeGetPacket(100) x 63,063 ops/sec ±3.63% (92 runs sampled)
createGetPacket() and decodeGetPacket(500) x 60,659 ops/sec ±4.56% (93 runs sampled)
createGetPacket() and decodeGetPacket(1000) x 63,257 ops/sec ±1.51% (95 runs sampled)
Fastest is decodeGetPacket(100)
```

### PrefixGets

```bash
$ node benchmark/packets/prefix_gets.js
createPrefixPacket(pkey, skeys, options) x 58,542 ops/sec ±0.71% (97 runs sampled)
decodePacket(100) x 73,219 ops/sec ±0.46% (100 runs sampled)
decodePacket(500) x 68,906 ops/sec ±1.05% (99 runs sampled)
decodePacket(1000) x 62,116 ops/sec ±3.72% (91 runs sampled)
createPrefixPacket() and decodePacket(100) x 28,961 ops/sec ±1.45% (95 runs sampled)
createPrefixPacket() and decodePacket(500) x 28,008 ops/sec ±2.13% (96 runs sampled)
createPrefixPacket() and decodePacket(1000) x 28,566 ops/sec ±0.69% (99 runs sampled)
Fastest is decodePacket(100)
```
