/**!
 * node-tair - example/client.js
 *
 * Copyright(c) 2013 Alibaba Group Holding Limited.
 * Authors:
 *   苏千 <suqian.yf@taobao.com> (http://fengmk2.github.com)
 */

"use strict";

/**
 * Module dependencies.
 */

var Tair = require('../');

var tair = Tair({
  servers: [{host: '127.0.0.1', port: 5198}],
  group: 'testgroup'
});

tair.on('connect', function () {
  var i = 0;
  var get = function () {
    var k = 'foo' + i++;
    tair.get(k, function (err, value, res) {
      console.log('%s: %j', k, value);
    });
  };
  setInterval(get, 2000);
});
