/**!
 * node-tair - example/data_node.js
 *
 * Copyright(c) 2013 Alibaba Group Holding Limited.
 * Authors:
 *   苏千 <suqian.yf@taobao.com> (http://fengmk2.github.com)
 */

"use strict";

/**
 * Module dependencies.
 */

var DataNode = require('../').DataNode;
var port = Number(process.argv[2]) || 5190;

var dn1 = new DataNode({
  configServers: [{host: '127.0.0.1', port: 5198}],
  group: 'testgroup',
  withHeader: false,
});

dn1.get(500, function (req, res, next) {
  setTimeout(function () {
    var key = req.data.key;
    var value = req.name + ' ' + key + ' namespace ' + req.data.namespace;
    res.send({value: value, key: key});
  }, 1);
});

dn1.listen(port);

console.log('datanode listen on ' + port);
