/*!
 * node-tair - lib/packets/result_code.js
 *
 * Copyright(c) 2013 Alibaba Group Holding Limited.
 * MIT Licensed
 *
 * Authors:
 *   fengmk2 <suqian.yf@taobao.com> (http://fengmk2.github.com)
 */

"use strict";

/**
 * Module dependencies.
 */

module.exports = {
  '0': "success",
  '1': "data not exist",
  '2': "member not exist",
  '3988': "data expired",
  '-1': "connection error or timeout",
  '-2': "unkonw error",
  '-5': "key length error",
  '-6': "value length error",
  '-7': "namsepace range error, should between 0 ~ 1023",
  '-10': "partly success",
  '-11': "async call failed, pool maybe full",

  '-3999': "server error",
  '-3998': "data not exist",
  '-3997': "version error",
  '-3996': "type not match",
  '-3995': "plugin error",
  '-3994': "serialize error",
  '-3993': "item empty",
  '-3992': "item out of range",
  '-3991': "item size error",
  '-3990': "send packet failed",
  '-3989': "timeout",
  '-3988': "data expired",
  '-3987': "server can not work",
  '-3986': "write not on master",
  '-3985': "duplicate busy",
  '-3984': "migrate busy",
  '-3983': "partly success",
  '-3982': "invalid argument",
  '-3981': "can not override",

  '-3980': "count reach bound",
  '-3979': "count reach zero",
  '-3978': "count not exist",
  '-3970': "invalid server can't connect to dataserver",
  '-3969': "item is hidden",
  '-3968': "server-side task queue overflowed",
  '-3967': "key should proxy",

  '-3975': "lock already exist",
  '-3974': "lock not exist",
  '-5114': "counter out of the range",
  '-5115': "modify time smaller than server time",

  '-20001': "target not number",
  '-20002': "target not integer",
  '-20003': "target not double",
  '-20004': "target has exist",
  '-20005': "range_have none",
  '-20006': "data overflow",
  '-20007': "data len too long",

  '-20008': "not support",
  '-20010': "range count reach limit",
};
