/*!
 * node-tair - example/demo-with-diamond.js
 * Copyright(c) 2013 fengmk2 <fengmk2@gmail.com> (http://fengmk2.github.com)
 * MIT Licensed
 */

"use strict";

/**
 * Module dependencies.
 */

var Tair = require('../');

var tair = new Tair({
  dataId: 'market2-daily',
  diamond: 'commonconfig.taobao.net:8080',
  namespace: 1,
  syncInterval: 5000,
}).on('connect', function () {
  tair.get('foo', function (err, data) {
    console.log('get foo: %j, error: %s', data && data.toString(), err);
  });

  tair.put('foo', 'bar', function (err, res) {
    console.log('put foo bar: %j, error: %s', res, err);
  });
});

setTimeout(function () {
  tair.close();
}, 20000);