/**!
 * node-tair - lib/packets/inc_data.js
 *
 * Copyright(c) 2013 Alibaba Group Holding Limited.
 * Authors:
 *   苏千 <suqian.yf@taobao.com> (http://fengmk2.github.com)
 */

"use strict";

/**
 * Module dependencies.
 */

function IncData(value) {
  this.value = value;
}

IncData.prototype.encode = function () {
  var buf = new Buffer(4);
  buf.writeInt32LE(this.value, 0);
  return buf;
};

IncData.decode = function (buf) {
  // Tair server cope with IncData by little-endian(dependable)
  return buf.readInt32LE(0);
};

module.exports = IncData;
