/**!
 * node-tair - lib/servers/codes.js
 *
 * Copyright(c) 2013 Alibaba Group Holding Limited.
 * Authors:
 *   苏千 <suqian.yf@taobao.com> (http://fengmk2.github.com)
 */

"use strict";

/**
 * Module dependencies.
 */

var cons = require('../const');
var packets = require('../packets');

var Codes = {};
Codes[cons.TAIR_REQ_GET_PACKET] = { name: 'get', class: packets.Get };
Codes[cons.TAIR_REQ_GET_GROUP_NEW_PACKET] = { name: 'get_group', class: packets.GetGroup };
Codes[cons.TAIR_REQ_PING_PACKET] = { name: 'ping', class: packets.Ping };
Codes[cons.REQ_DATA_NODE_HEARTBEAT] = { name: 'data_node_hearbeat', class: packets.DataNodeHeartBeat };

module.exports = Codes;
